# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "cynic"
version = "3.13.0"
authors = ["Graeme Coupar <graeme@turbofish.tech>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A code first GraphQL client for Rust"
homepage = "https://cynic-rs.dev"
documentation = "https://docs.rs/cynic"
readme = "README.md"
keywords = [
    "graphql",
    "client",
    "api",
]
license = "MPL-2.0"
repository = "https://codeberg.org/obmarg/cynic"
resolver = "2"

[package.metadata.docs.rs]
features = ["all"]
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[features]
all = [
    "http-surf",
    "http-reqwest",
    "http-reqwest-blocking",
    "rkyv",
]
default = []
directives = ["cynic-proc-macros/directives"]
http-reqwest = [
    "reqwest",
    "serde_json",
]
http-reqwest-blocking = [
    "http-reqwest",
    "reqwest/blocking",
    "serde_json",
]
http-surf = [
    "surf",
    "serde_json",
]
rkyv = ["cynic-proc-macros/rkyv"]

[lib]
name = "cynic"
path = "src/lib.rs"

[[test]]
name = "aliases"
path = "tests/aliases.rs"

[[test]]
name = "arguments"
path = "tests/arguments.rs"

[[test]]
name = "compatability"
path = "tests/compatability.rs"

[[test]]
name = "default-values-tests"
path = "tests/default-values-tests.rs"

[[test]]
name = "enum-arguments"
path = "tests/enum-arguments.rs"

[[test]]
name = "enum-fallbacks"
path = "tests/enum-fallbacks.rs"

[[test]]
name = "escaping-strings"
path = "tests/escaping-strings.rs"

[[test]]
name = "features"
path = "tests/features.rs"

[[test]]
name = "field-directives"
path = "tests/field-directives.rs"

[[test]]
name = "flatten"
path = "tests/flatten.rs"

[[test]]
name = "generics_simple"
path = "tests/generics_simple.rs"

[[test]]
name = "http"
path = "tests/http.rs"

[[test]]
name = "inline-fragments"
path = "tests/inline-fragments.rs"

[[test]]
name = "input-object-tests"
path = "tests/input-object-tests.rs"

[[test]]
name = "keyword-queries"
path = "tests/keyword-queries.rs"

[[test]]
name = "misc"
path = "tests/misc.rs"

[[test]]
name = "mutation_generics"
path = "tests/mutation_generics.rs"

[[test]]
name = "query-fragment-field-renames"
path = "tests/query-fragment-field-renames.rs"

[[test]]
name = "recursive-queries"
path = "tests/recursive-queries.rs"

[[test]]
name = "renames"
path = "tests/renames.rs"

[[test]]
name = "scalars"
path = "tests/scalars.rs"

[[test]]
name = "simple_schema_tests"
path = "tests/simple_schema_tests.rs"

[[test]]
name = "spread"
path = "tests/spread.rs"

[[test]]
name = "variable-inlining"
path = "tests/variable-inlining.rs"

[[test]]
name = "variables"
path = "tests/variables.rs"

[dependencies.cynic-proc-macros]
version = "3.13.0"

[dependencies.ref-cast]
version = "1.0.15"

[dependencies.reqwest]
version = "0.13"
features = ["json"]
optional = true
default-features = false

[dependencies.serde]
version = "1.0.136"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"
optional = true

[dependencies.static_assertions]
version = "1"

[dependencies.surf]
version = "2.3"
optional = true
default-features = false

[dependencies.thiserror]
version = "1.0.30"

[dev-dependencies.assert_matches]
version = "1.4"

[dev-dependencies.chrono]
version = "0.4.19"
features = ["serde"]

[dev-dependencies.graphql-parser]
version = "0.4"

[dev-dependencies.insta]
version = "1"
features = [
    "yaml",
    "json",
]

[dev-dependencies.maplit]
version = "1.0.2"

[dev-dependencies.mockito]
version = "1.4.0"

[dev-dependencies.rstest]
version = "0.23"

[dev-dependencies.serde_json]
version = "1.0"

[dev-dependencies.tokio]
version = "1"
features = ["macros"]
